/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package runners;

import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

/**
 * Hibernate Utility class with a convenient method to get Session Factory
 * object.
 *
 * @author developer3
 */
public class NewHibernateUtil {

    private static final SessionFactory sessionFactory;
    
    private static final Configuration configuration;
    
    static {
        try {
            // Create the SessionFactory from standard (hibernate.cfg.xml) 
            // config file.
            configuration = new AnnotationConfiguration().configure();
            sessionFactory = configuration.buildSessionFactory();
        } catch (Throwable ex) {
            // Log the exception. 
            System.err.println("Initial SessionFactory creation failed." + ex);
            throw new ExceptionInInitializerError(ex);
        }
    }
    
    public static SessionFactory getSessionFactory() {
        return sessionFactory;
    }
    
    public static Configuration getConfiguration() {
        return configuration;
    }
}
